#!/bin/sh
# Script showing how to set up a Wine development environment
# on Ubuntu 07.04 (Edgy)
#
# A few Ubuntu tips:
#
# If you see a prompt to insert the CD when installing software
# with apt-get, comment out the initial reference to the cdrom in /etc/apt/sources.list.
# See https://launchpad.net/distros/ubuntu/+source/apt/+bug/37888
#
# If you see "open /dev/snd/seq failed",
# add snd_seq_oss to /etc/modules
# See http://ubuntuforums.org/archive/index.php/t-1654.html
#
# If you see "cannot create mcop directory"
# when you run winecfg and click on the audio tag,
# do "mkdir -p $HOME/.kde/socket-`hostname`".
# See https://launchpad.net/distros/ubuntu/+source/alsa-lib/+bug/31699
#

apt-get install \
bison \
cvs git-core \
flex \
fontforge \
gcc \
git \
libasound2-dev \
libaudio-dev \
libc6-dev \
libcapi20-3 \
libcapi20-dev \
libcupsys2-dev \
libdbus-1-dev \
libesd0-dev \
libexif-dev \
libexpat1-dev \
libfontconfig1-dev \
libfreetype6-dev \
libgcrypt11-dev \
libgl1-mesa-dev \
libglib1.2-dev \
libglib2.0-dev \
libglu1-mesa-dev \
libgnutls-dev \
libgpg-error-dev \
libgphoto2-2-dev \
libhal-dev \
libice-dev \
libieee1284-3-dev \
libjpeg62-dev \
liblcms1-dev \
libldap2-dev \
libltdl3 \
libltdl3-dev \
liblzo-dev \
libmad0 \
libmad0-dev \
libmng-dev \
libncurses5-dev \
libodbcinstq1c2 \
libogg-dev \
libopencdk10-dev \
libpng12-dev \
libpopt-dev \
libqt3-headers \
libqt3-mt \
libqt3-mt-dev \
libsane-dev \
libsm-dev \
libssl-dev \
libtasn1-3-dev \
libtiff4-dev \
libtiffxx0c2 \
libusb-dev \
libvorbis-dev \
libvorbisfile3 \
libx11-dev \
libxau-dev \
libxcomposite-dev \
libxcursor-dev \
libxdmcp-dev \
libxext-dev \
libxfixes-dev \
libxft-dev \
libxi-dev \
libxinerama-dev \
libxml2-dev \
libxmu-dev \
libxmu-headers \
libxrandr-dev \
libxrender-dev \
libxslt1-dev \
libxt-dev \
libxv-dev \
libxxf86vm-dev \
linux-libc-dev \
m4 \
make \
mesa-common-dev \
odbcinst1debian1 \
qt3-dev-tools \
unixodbc \
unixodbc-dev \
valgrind \
x11proto-composite-dev \
x11proto-core-dev \
x11proto-fixes-dev \
x11proto-input-dev \
x11proto-kb-dev \
x11proto-randr-dev \
x11proto-video-dev \
x11proto-xext-dev \
x11proto-xf86vidmode-dev \
x11proto-xinerama-dev \
x-dev \
xtrans-dev \
zlib1g-dev
